Cómo seguir usando Linux Mint con versión que ha caducado

Página 1 de 1
Invitado
Invitado
Dom 17 Mar, 15:00
Aquí tenéis un breve tutorial donde se explica detalladamente, paso a paso, qué se puede hacer después que ha terminado el soporte para nuestra versión instalada o Live (USB p.e.) de Linux Mint, que ha quedado obsoleta (en http://www.linuxmint.com/oldreleases.php se informa sobre las fechas), para poder seguir instalando paquetes (programas, aplicaciones) desde Synaptic (sin hacer esto se pueden instalar algunos todavía pero siguiendo los pasos de abajo se pueden instalar más, concretamente los de los repositorios de Ubuntu del sitio web ubuntu.com -excepto los de seguridad, que no parecen guardarse en dicho sitio en directorios para versiones antiguas-).

+ Abrimos Nautilus

+ Pinchamos sobre la flecha de arriba hasta llegar a /

+ Entramos en etc

+ Pulsamos con el botón derecho del ratón sobre apt

+ Pinchamos sobre "Abrir como administrador"

+ Pulsamos con el botón derecho sobre sources.list

+ Situamos el puntero del ratón sobre "Abrir con"

+ Pinchamos sobre "Editor de textos"

+ En las líneas que empiecen por "deb http://archive.ubuntu.com/ubuntu/" (posiblemente sean 2) cambiamos "archive" por "old-releases", empezando, entonces, esas líneas por "deb http://old-releases.ubuntu.com/ubuntu/"

+ Pinchamos sobre el botón Guardar (arriba)

+ Cerramos gedit (el editor de textos) y las 2 ventanas de Nautilus

+ Abrimos el Centro de control

+ Abrimos el gestor de paquetes Synaptic (ponemos la clave si la pide y pulsamos Enter)

+ Pinchamos sobre el botón Recargar (arriba a la izquierda) y esperamos a que se termine de descargar la información de paquetes (comprobación de repositorios)

+ Si sale una ventanita con un aviso pulsamos sobre Cerrar

+ Esperamos a que se regenere el índice de búsqueda y encima de la casilla para buscar se indique "Búsqueda rápida"

¡Solucionado!

Ahora podemos buscar paquetes en Synaptic y pedirle que nos los descargue e instale automáticamente, igual que antes.
Avatar de Usuario
bpmircea
Registrado: 29/07/2010
Mensajes: 2572
Moderador Linux ADSLZone
Moderador Linux ADSLZone
Dom 17 Mar, 20:31
pero eso es actualizar mediante repositorio no?
o sea que no te vas a quedar en la obsoleta si no vas a estar en la ultima pero con el nombre de la antigua vamos...
Invitado
Invitado
Mié 20 Mar, 20:32
Cada versión de Linux Mint (y Ubuntu, etc.) usa unos paquetes específicos (también depende de si usas 32 o 64 bits; y creo que a veces algunos paquetes valen para varias versiones). Cuando vence la fecha de soporte de una versión concreta de Ubuntu (y, de forma derivada, de Linux Mint) los paquetes los quitan de http://archive.ubuntu.com/ubuntu/ y los ponen en http://old-releases.ubuntu.com/ubuntu/ . Por ejemplo, hace unos meses el directorio correspondiente de maverick estaba en http://archive.ubuntu.com/ubuntu/dists/ pero ya no; ahora está en http://old-releases.ubuntu.com/ubuntu/dists/ .

Con lo propuesto la versión caducada puede seguir instalando paquetes, pero no puede instalar los de las últimas versiones (salvo algunos que puedan valer también para ambos), sino los de su versión (que han cambiado de carpeta en el repositorio online).

Vamos, que sigues con la misma versión. No es que te pases a la última. Para eso hay que instalar la última (encima de la vieja, que se pierde; o al lado, pudiéndose arrancar con una u otra mediante un menú de GRUB p.e.), a no ser que uses una distro rolling.
Invitado
Invitado
Mar 15 Jul, 17:32
En LInux Mint 15 (Olivia) MATE el fichero a editar es:
/etc/apt/sources.list.d/official-package-repositories.list
Avatar de Usuario
bpmircea
Registrado: 29/07/2010
Mensajes: 2572
Moderador Linux ADSLZone
Moderador Linux ADSLZone
Mié 16 Jul, 21:07
Invitado escribió:En LInux Mint 15 (Olivia) MATE el fichero a editar es:
/etc/apt/sources.list.d/official-package-repositories.list


y en el ultimo? en el 17?
Invitado
Invitado
Jue 17 Jul, 14:52
Parece que en Mint 17 es como se ha dicho para Mint 15.
Página 1 de 1

Volver a Linux: Manuales y tutoriales